#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 9. General Libraries

- Prev

  Qca-2.3.10

- Next

  simdutf-9.0.0

- Up
- Home

# qcoro-0.13.0

## Introduction to qcoro

This package provides a set of tools to make use of C++20 coroutines with Qt.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/danvratil/qcoro/archive/v0.13.0/qcoro-0.13.0.tar.gz

- Download MD5 sum: 1cc2b522b90d8d0842523f751e75c99b

- Download size: 160 KB

- Estimated disk space required: 31 MB (with tests)

- Estimated build time: 0.4 SBU (Using parallelism=4; add 0.6 SBU for tests)

### qcoro Dependencies

#### Required

Qt-6.11.0

## Installation of qcoro

Install qcoro by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$QT6DIR \
          -D CMAKE_BUILD_TYPE=Release     \
          -D BUILD_TESTING=OFF            \
          -D QCORO_BUILD_EXAMPLES=OFF     \
          -D BUILD_SHARED_LIBS=ON         \
           ..                             &&
    make

To test this package, remove the 'BUILD_TESTING=OFF' parameter above and run:

    make test

Now, as the `root` user:

    make install

## Command Explanations

`-D CMAKE_BUILD_TYPE=Release`: This switch is used to apply a higher level of compiler optimizations.

## Contents

Installed Programs: None
Installed Libraries: libQCoro6Core.so, libQCoro6DBus.so, libQCoro6Network.so, libQCoro6Qml.so, libQCoro6Quick.so, and libQCoro6WebSockets.so
Installed Directories: Nine directories in $QT6DIR/lib/cmake/ and $QT6DIR/include/qcoro6

- Prev

  Qca-2.3.10

- Next

  simdutf-9.0.0

- Up
- Home